Update active bidding loads

This request allows the carrier to bid on loads.

The load must be active, open to bidding, and available to them.
The request is used to create a spot bid on the bidding/spot load.

Spot bids are freight shipments that remain unassigned after going through the sequential tendering process.
They are then put on the spot market, where they are assigned to third-party (3P) brokers/asset carriers.

Example

The following example allows a carrier to submit a bid on loads that are open for spot bidding.

PUT https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/{planId}/bid

Request body:

{ "payload": { "identifiers": { "phaseid": "55ed55ba-df2f-417f-974b-633ee6059af" } }, "status": "ACCEPTED", "bidPrice": { "measurementValue": 2600, "unitOfMeasure": "USD" }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The following are the required input field names, data types, description, and occurrences.

payload
object

Indicates an object for load details.

string

Specifies using ACCEPTED as bidStatus to place a bidding price offer.

Valid value is:

ValueMeaning
ACCEPTEDCarrier has accepted the load.

Example:

ACCEPTED

bidPrice
object

Specifies an object for the price a carrier placed in their bid to carry a load.

Headers
string
required

Specifies the consumer identifier.

This value is obtained from the development manager.

Example:

b30696d1-1806-489d-a519-6c38b35cc8d2

string
required

Indicates the authorized bearer token received from the authorization call.

Example:

Bearer

eyJraWQiO...PjsrOJSvSg

string
required

Specifies the tracking ID for each request for logging.

The client sends the new UUID for each request for logging.

Example:

UUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3

Responses

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json